PICOPORE-RENAME(1)

NAME
picopore-rename - renaming groups and datasets within Oxford Nanopore Technologies FAST5 files

SYNOPSIS
[-h] -p PATTERN -r REPLACEMENT [-v] [-y] [-t INT] [--prefix STR] [--skip-root] [--print-every INT] [input [input ...]]

DESCRIPTION
A tool for renaming groups and datasets within Oxford Nanopore Technologies FAST5 files

OPTIONS

  positional arguments:

input
    list of directories or fast5 files to shrink

  optional arguments:

-h, --help
    show this help message and exit

-p PATTERN, --pattern PATTERN
    String or regex to replace

-r REPLACEMENT, --replacement REPLACEMENT
    String or regex replacement for PATTERN

-v, --version
    show version number and exit

-y  skip confirm step

-t INT, --threads INT
    number of threads (Default: 1)

--prefix STR
    add prefix to output files to prevent overwrite

--skip-root, --no-skip-root
    ignore files in root input directories for albacore realtime compression (Default: --no-skip-root)

--print-every INT
    print a dot every approximately INT files, or -1 to silence (Default: 100)

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.